Package com.orchestranetworks.workflow

# Interface WorkflowTriggerWorkItemAuthenticatedContext

All Superinterfaces:
  `DataContextReadOnly`, `ProcessExecutionContext`, `ProcessExecutionInfoContext`, `WorkflowTriggerContext`, `WorkflowTriggerStepContext`, `WorkflowTriggerWorkItemContext`

All Known Subinterfaces:
  `WorkflowTriggerBeforeWorkItemAllocationContext`, `WorkflowTriggerBeforeWorkItemDeallocationContext`, `WorkflowTriggerBeforeWorkItemReallocationContext`, `WorkflowTriggerBeforeWorkItemStartContext`, `WorkflowTriggerWorkItemAllocationContext`

public interface WorkflowTriggerWorkItemAuthenticatedContext extends WorkflowTriggerWorkItemContext
Context for handling events related to a workflow work item in an authenticated user session.

Since:
  5.5.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `ProcessExecutionContext.WorkflowPermission`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Session`
  `getSession()`
  Returns the authenticated session of the current user.

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContextReadOnly

  `getVariableNames, getVariableString, isVariableDefined`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `createMailSpec, getProcessInstanceDescription, getProcessInstanceLabel, modifyProcessPriority`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository`

  ### Methods inherited from interface com.orchestranetworks.workflow.WorkflowTriggerStepContext

  `getCurrentStepId`

  ### Methods inherited from interface com.orchestranetworks.workflow.WorkflowTriggerWorkItemContext

  `getWorkItem`

- ## Method Details

  - ### getSession

    Session getSession()
    Returns the authenticated session of the current user.

    The returned session is in a read-only state, meaning that the interaction's parameters cannot be modified.

    Specified by:
      `getSession` in interface `ProcessExecutionInfoContext`
    See Also:
      - `InteractionHelper.ParametersMap.setVariableString(String, String)`
      - `SessionInteraction.getInternalParameters()`